function love.draw()
  local displayTable = {}
  
  if alarm.beeping then
    displayTable = {
      "Enter answer to problem:",
      math.n1.." "..math.symbol.." "..math.n2.." = ?",
      math.answer,
    }
  else
    displayTable = {
      os.date("Today is %A, %B %d, %Y"),
      os.date("%I:%M:%S %p"),
      "Alarm is currently not set.",
      "",
      "",
      "Alarm Time: "..tempAlarm.hour..":"..tempAlarm.minute.." "..tempAlarm.ampm,
      "",
    }
  end
  
  if sleepMode then
    love.graphics.setBackgroundColor(0,0,0)
  else
    love.graphics.setBackgroundColor(70/255,150/255,70/255)
    
    if alarm.set and not alarm.beeping then
      displayTable[3] = "Alarm is currently set to "..alarm.hour..":"..alarm.minute.." "..alarm.ampm
    end
    
    local y = 45
    for i,text in pairs(displayTable) do
      love.graphics.print(text,60,y)
      y = y + 30
      
      if not alarm.beeping then
        if i == 3 then
          love.graphics.draw(sprites["uparrow.png"],295,y)
          love.graphics.draw(sprites["uparrow2.png"],355,y)
        end
        
        if i == 5 then
          love.graphics.draw(sprites["toggle.png"],475,y-15)
        end
        
        if i == 6 then
          love.graphics.draw(sprites["downarrow.png"],295,y)
          love.graphics.draw(sprites["downarrow2.png"],355,y)
        end
      end
    end
  end
end