function love.load()
  -- basic set-up
  love.window.setTitle("Alarm Clock")
  love.mouse.setVisible(false)
  love.graphics.setDefaultFilter("nearest","nearest")
  local font = love.graphics.newFont("Assets/PressStart2P.ttf",20)
  love.graphics.setFont(font)
  beeping = love.audio.newSource("Assets/alarm.wav","stream")
  beeping:setLooping(true)
  sleepMode = false
  
  -- math
  math = {
    symbol = "+",
    n1 = 0,
    n2 = 5,
    answer = "",
  }
  
  -- alarm
  alarm = {
    hour = "12",
    minute = "00",
    ampm = "AM",
    set = false,
    beeping = false,
  }
  
  -- temp alarm
  tempAlarm = {
    hour = "12",
    minute = "00",
    ampm = "AM",
  }
  
  -- sprites
  sprites = {}
  local spritesFolder = love.filesystem.getDirectoryItems("Assets/Sprites")
  for _,sprite in pairs(spritesFolder) do
    sprites[sprite] = love.graphics.newImage("Assets/Sprites/"..sprite)
  end
  
  -- get other scripts
  require("Assets.Scripts.quit")
  require("Assets.Scripts.keys")
  require("Assets.Scripts.update")
  require("Assets.Scripts.draw")
end

-- make new number
function randomN(d)
  n = ""
  for i=1,d do
    n = n..love.math.random(0,9)
  end
  return tonumber(n)
end